Subject: bug#38181: Actual height of mode-line not taken into account

From: martin rudalics <[email-masked]>
Date: Sat, 16 Nov 2019 20:28:10 +0100

> What are the frequent calls?  Help and completions windows come to
 > mind, but those are interactive, and so I'm not sure I see why calling
 > redisplay would be a bad idea there.  Are there other callers which
 > I'm missing?

The functions for displaying temporary buffers when
'temp-buffer-resize-mode' is on.  I do not think that the overhead for
calculating the mode line height is excessive.  It's just that IIUC
even Jonas changes the mode line height only once per window/buffer
assignment so even for him this overhead is practically always lost.

 >> Right.  But that same program could also redisplay all windows in
 >> these cases, right?
 >
 > I meant that calling redisplay should do this automatically.

By calculating the mode line before drawing the scroll bars?

martin